JBoss API: Interface SecurityDomain

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jboss.security
Interface SecurityDomain

All Superinterfaces:
  AuthenticationManager, RealmMapping, SubjectSecurityManager

public interface SecurityDomain
extends SubjectSecurityManager, RealmMapping

The SecurityDomain interface combines the SubjectSecurityManager and RealmMapping interfaces and adds a keyStore and trustStore as well as JSSE KeyManagerFactory and TrustManagerFactory accessors for use with SSL/JSSE.

Version:
  $Revision: 1.1.2.1 $
Author:
  Scott.Stark@jboss.org
See Also:
  `KeyStore`, `KeyManagerFactory`, `TrustManagerFactory`

Method Summary
`com.sun.net.ssl.KeyManagerFactory` | `getKeyManagerFactory()` Get the KeyManagerFactory associated with the security domain
`java.security.KeyStore` | `getKeyStore()` Get the keystore associated with the security domain
`com.sun.net.ssl.TrustManagerFactory` | `getTrustManagerFactory()` Get the TrustManagerFactory associated with the security domain
`java.security.KeyStore` | `getTrustStore()` Get the truststore associated with the security domain.

Methods inherited from interface org.jboss.security.SubjectSecurityManager
`getActiveSubject, getSecurityDomain`

Methods inherited from interface org.jboss.security.AuthenticationManager
`isValid`

Methods inherited from interface org.jboss.security.RealmMapping
`doesUserHaveRole, getPrincipal, getUserRoles`

Method Detail

### getKeyStore

    public java.security.KeyStore getKeyStore()
                                       throws java.lang.SecurityException

  Get the keystore associated with the security domain

### getKeyManagerFactory

    public com.sun.net.ssl.KeyManagerFactory getKeyManagerFactory()
                                                           throws java.lang.SecurityException

  Get the KeyManagerFactory associated with the security domain

### getTrustStore

    public java.security.KeyStore getTrustStore()
                                         throws java.lang.SecurityException

  Get the truststore associated with the security domain. This may be the same as the keystore.

### getTrustManagerFactory

    public com.sun.net.ssl.TrustManagerFactory getTrustManagerFactory()
                                                               throws java.lang.SecurityException

  Get the TrustManagerFactory associated with the security domain

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2000 The JBoss Organization. All Rights Reserved.